export declare class EclTimelineItem {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    label: string;
    type: string;
    elId: string;
    itemTitle: string;
    toggleLabelCollapsed: string;
    toggleLabelExpanded: string;
    getClass(): string;
    componentWillLoad(): void;
    componentDidRender(): void;
    render(): any;
}
